Mailinglist Archive: opensuse-updates (48 mails)

< Previous Next >
openSUSE-SU-2014:1059-1: moderate: update for libserf, subversion
openSUSE Security Update: update for libserf, subversion
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:1059-1
Rating: moderate
References: #889849 #890510 #890511
Cross-References: CVE-2014-3504 CVE-2014-3522 CVE-2014-3528

Affected Products:
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This subversion and libserf update fixes several security and non security
issues:

- subversion: guard against md5 hash collisions when finding cached
credentials [bnc#889849] [CVE-2014-3528]
- subversion: ra_serf: properly match wildcards in SSL certs. [bnc#890511]
[CVE-2014-3522]
- libserf: Handle NUL bytes in fields of an X.509 certificate.
[bnc#890510] [CVE-2014-3504]


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-511

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-511

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

libserf-1-1-1.3.7-16.1
libserf-1-1-debuginfo-1.3.7-16.1
libserf-debugsource-1.3.7-16.1
libserf-devel-1.3.7-16.1
libsvn_auth_gnome_keyring-1-0-1.8.10-2.29.1
libsvn_auth_gnome_keyring-1-0-debuginfo-1.8.10-2.29.1
libsvn_auth_kwallet-1-0-1.8.10-2.29.1
libsvn_auth_kwallet-1-0-debuginfo-1.8.10-2.29.1
subversion-1.8.10-2.29.1
subversion-debuginfo-1.8.10-2.29.1
subversion-debugsource-1.8.10-2.29.1
subversion-devel-1.8.10-2.29.1
subversion-perl-1.8.10-2.29.1
subversion-perl-debuginfo-1.8.10-2.29.1
subversion-python-1.8.10-2.29.1
subversion-python-debuginfo-1.8.10-2.29.1
subversion-ruby-1.8.10-2.29.1
subversion-ruby-debuginfo-1.8.10-2.29.1
subversion-server-1.8.10-2.29.1
subversion-server-debuginfo-1.8.10-2.29.1
subversion-tools-1.8.10-2.29.1
subversion-tools-debuginfo-1.8.10-2.29.1

- openSUSE 13.1 (noarch):

subversion-bash-completion-1.8.10-2.29.1

- openSUSE 12.3 (i586 x86_64):

libserf-1-0-1.1.1-2.4.1
libserf-1-0-debuginfo-1.1.1-2.4.1
libserf-debugsource-1.1.1-2.4.1
libserf-devel-1.1.1-2.4.1
libsvn_auth_gnome_keyring-1-0-1.7.18-2.36.1
libsvn_auth_gnome_keyring-1-0-debuginfo-1.7.18-2.36.1
libsvn_auth_kwallet-1-0-1.7.18-2.36.1
libsvn_auth_kwallet-1-0-debuginfo-1.7.18-2.36.1
subversion-1.7.18-2.36.1
subversion-debuginfo-1.7.18-2.36.1
subversion-debugsource-1.7.18-2.36.1
subversion-devel-1.7.18-2.36.1
subversion-perl-1.7.18-2.36.1
subversion-perl-debuginfo-1.7.18-2.36.1
subversion-python-1.7.18-2.36.1
subversion-python-debuginfo-1.7.18-2.36.1
subversion-server-1.7.18-2.36.1
subversion-server-debuginfo-1.7.18-2.36.1
subversion-tools-1.7.18-2.36.1
subversion-tools-debuginfo-1.7.18-2.36.1

- openSUSE 12.3 (noarch):

subversion-bash-completion-1.7.18-2.36.1


References:

http://support.novell.com/security/cve/CVE-2014-3504.html
http://support.novell.com/security/cve/CVE-2014-3522.html
http://support.novell.com/security/cve/CVE-2014-3528.html
https://bugzilla.novell.com/889849
https://bugzilla.novell.com/890510
https://bugzilla.novell.com/890511


< Previous Next >
This Thread
  • No further messages